%define	major 2
%define libname %mklibname memcached %{major}
%define develname %mklibname memcached -d

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	0.23
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://tangent.org/552/libmemcached.html
Source0:	http://download.tangent.org/%{name}-%{version}.tar.gz
BuildRequires:	libtool
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libmemcached is a C client library to interface to a memcached server.
It has been designed to be light on memory usage, thread safe, and to provide
full access to server side methods. It also implements several command line
tools:memcat, memflush, memrm, memstat, and memslap (load generation).

It also implements several command line tools:

memcat - Copy the value of a key to standard output
memflush - Flush the contents of your servers.
memrm - Remove a key(s) from the serrver.
memstat - Dump the stats of your servers to standard output
memslap - Generate testing loads on a memcached cluster

%package -n	%{libname}
Summary:	A memcached C library
Group:          System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server.
It has been designed to be light on memory usage, thread safe, and to provide
full access to server side methods. It also implements several command line
tools:memcat, memflush, memrm, memstat, and memslap (load generation).

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	memcached-devel = %{version}-%{release}
Obsoletes:	memcached-devel

%description -n	%{develname}
libmemcached is a C client library to interface to a memcached server.
It has been designed to be light on memory usage, thread safe, and to provide
full access to server side methods. It also implements several command line
tools:memcat, memflush, memrm, memstat, and memslap (load generation).

This package contains the static libmemcached library and its header files.

%prep

%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/memcat
%{_bindir}/memcp
%{_bindir}/memerror
%{_bindir}/memflush
%{_bindir}/memrm
%{_bindir}/memslap
%{_bindir}/memstat
%{_mandir}/man1/memcat.1*
%{_mandir}/man1/memcp.1*
%{_mandir}/man1/memerror.1*
%{_mandir}/man1/memflush.1*
%{_mandir}/man1/memrm.1*
%{_mandir}/man1/memslap.1*
%{_mandir}/man1/memstat.1*

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.%{major}*
%{_mandir}/man3/libmemcached.3*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%exclude %{_mandir}/man3/libmemcached.3*
%{_mandir}/man3/*


%changelog
* Mon Sep 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.23-1mdv2009.0
+ Revision: 282751
- 0.23

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2009.0
+ Revision: 235873
- 0.22

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdv2009.0
+ Revision: 229680
- never obsolete a library

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdv2009.0
+ Revision: 210841
- 0.21

* Tue May 06 2008 Funda Wang <fundawang@mandriva.org> 0.20-1mdv2009.0
+ Revision: 201759
- New version 0.20

* Thu Apr 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.19-1mdv2009.0
+ Revision: 192537
- 0.19
- 0.18

  + Thierry Vignaud <tvignaud@mandriva.com>
    - remove URL from description

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2008.1
+ Revision: 171415
- 0.16

* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 0.15-1mdv2008.1
+ Revision: 160165
- update to new version 0.15

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.14-1mdv2008.1
+ Revision: 156570
- 0.14

* Mon Jan 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2008.1
+ Revision: 151152
- 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2008.1
+ Revision: 118071
- 0.12
- simplify the spec file a bit

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2008.1
+ Revision: 112120
- 0.11

* Wed Nov 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2008.1
+ Revision: 110950
- 0.10

* Fri Nov 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdv2008.1
+ Revision: 109051
- no need to obsolete a package that don't exist (duh!)
- 0.9
- new major (1)

* Wed Nov 14 2007 Funda Wang <fundawang@mandriva.org> 0.7-2mdv2008.1
+ Revision: 108823
- rebuild

* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdv2008.1
+ Revision: 103960
- 0.7

* Wed Oct 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2008.1
+ Revision: 99759
- 0.6

* Tue Oct 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.1
+ Revision: 95786
- 0.5

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdv2008.1
+ Revision: 95201
- 0.4
- import libmemcached


* Tue Oct 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2008.0
- initial Mandriva package
